Bug 182722

Summary: Create VMX domain will crash and reboot Service OS.
Product: [Fedora] Fedora Reporter: You, Yongkang <yongkang.you>
Component: xenAssignee: Jeremy Katz <katzj>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: bstein, fedora, katzj
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-06 08:42:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 179599    
Attachments:
Description Flags
The serial out put of create VMX failure none

Description You, Yongkang 2006-02-24 05:06:22 EST
Description of problem:
I have installed FC5-test3 IA32 system in my Presler (It has Intel 845
mainboard.) I can create XenU successfully. 

But when I try to create VMX (HVM) guests, whole system (Domain0) will crash and
reboot. I also try the latest RPMs from development tree. It also failed.

With following config in grub.conf, I can capture serial output when crashing.
title Fedora Core 5 Test3
        root (hd0,0)
        kernel /boot/xen.gz-2.6.15-1.1975_FC5 dom0_mem=262144 com0=115200,8n1
apci=off
        module /boot/vmlinuz-2.6.15-1.1975_FC5hypervisor ro root=/dev/sda1
console=ttyS0 console=tty0 pci=noapci
        module /boot/initrd-2.6.15-1.1975_FC5hypervisor.img

I will paste the serial output to attachment.

Version-Release number of selected component (if applicable):
xen-3.0.1-0.20060208.fc5.2
kernel-xen-guest-2.6.15-1.1975_FC5.i686.rpm
kernel-xen-hypervisor-2.6.15-1.1975_FC5.i686.rpm

How reproducible:
Always.

Steps to Reproduce:
1. Install FC5-Test3 with Xen.
2. Xend start.
3. Modify HVM config file and prepare VMX disk image.
4. Create VMX domain. Whole system rebooted.
  
Actual results:
Reboot OS when create VMX.

Expected results:
VMX domain can be created.

Additional info:
Need special serial port config to get serial output like the grub.conf
subscribed above.
Comment 1 You, Yongkang 2006-02-24 05:06:23 EST
Created attachment 125167 [details]
The serial out put of create VMX failure
Comment 2 Jeremy Katz 2006-02-24 11:34:15 EST
This is the same instabilities that were in upstream Xen for HVM when we pulled
our snapshot.  It should be fixed in the newer snapshot we're trying to pull in
Comment 3 You, Yongkang 2006-02-25 22:24:11 EST
Okay. Could you please let me know, when you integrate the new version? Then I 
can check it.
Comment 4 Thorsten Leemhuis 2006-08-06 08:42:13 EDT
This bug likely was fixed before FC5. Closing